@ECHO OFF
REM/*******************************************************************************
REM * Licensed Materials - Property of IBM
REM * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
REM * 
REM * Note to U.S. Government Users Restricted Rights:
REM * Use, duplication or disclosure restricted by GSA ADP Schedule
REM * Contract with IBM Corp. 
REM *******************************************************************************/

ECHO Launching Command Line Adapter...
ECHO. 

REM load dependencies file
setlocal enabledelayedexpansion
set SEPARATOR=.jar;
set PREFIX=./
set filecontent=
for /f "delims=" %%a in (jars.txt) do (
  set currentline=%%a
  set filecontent=!filecontent!%PREFIX%!currentline!%SEPARATOR%
)

java.exe -Dlog4j.configuration=file:.\log4j.properties -classpath "%filecontent%" com.ibm.rqm.adapter.commandline.QMCommandLineAdapter %*
if Errorlevel 1 goto ERROR_MESSAGE
if Errorlevel 2 goto ERROR_MESSAGE
GOTO END_BATCH

REM Execution will fall through to here if Errorlevel is negative, 
REM which sometimes happens on ^C.
REM Display the error message in that case, too.

:ERROR_MESSAGE
ECHO The command line adapter did not run, exited unexpectedly, or was killed.
ECHO This can happen if java.exe was not found in the PATH,
ECHO or if java.exe is too old or not compatible, or some other error occurred.
ECHO Please refer to the readme.txt file in the adapter package.

:END_BATCH