#!/bin/bash
#/*******************************************************************************
# * Licensed Materials - Property of IBM
# * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
# * 
# * Note to U.S. Government Users Restricted Rights:
# * Use, duplication or disclosure restricted by GSA ADP Schedule
# * Contract with IBM Corp. 
# *******************************************************************************/

DisplayError()
{
	echo The command line adapter did not run, exited unexpectedly, or was killed.
	echo This can happen if java executable was not found in the PATH,
	echo or if java executable is too old or not compatible, or some other error occurred.
	echo Please refer to the readme.txt file in the adapter package.
}

clear
echo "Launching Command Line Adapter..."
echo -e "\n"

FILENAME=./jars.txt
DEPS=
while read line
do 

if [ $DEPS ]
then
DEPS=$DEPS:./$line.jar
else
DEPS=./$line.jar
fi

done < $FILENAME

java -Dlog4j.configuration=file:./log4j.properties -classpath $DEPS com.ibm.rqm.adapter.commandline.QMCommandLineAdapter $@

RETURNVALUE=$?
if [ $RETURNVALUE > 0 ]
then DisplayError
fi